#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################

##########################################################################
#                                                                        # #
# Rational Test RealTime                                                 #   #
#                                                                        #######
#                    -*-  check if ctags is accessible -*-                     #
#                                                                              #
################################################################################

require "Fcts.pl";

sub errorctags
{
    print "********************************************************************************************************************\n";
    print &PerlTranslate("tag_c.pl", "Unable to find ctags$binext in $BINDIR please check your installation\n", "");
    print &PerlTranslate("tag_c.pl", "ctags$binext has to be downloaded from  http://sourceforge.net/projects/ctags\n", "");
    print &PerlTranslate("tag_c.pl", "or http://ctags.sourceforge.net. once downloaded copy it into $BINDIR\n", "");
    print "********************************************************************************************************************\n";
    sleep(15);
}

################################################################################
# Here is the beginning
################################################################################
my $binext;
$binext=".exe" if($^O =~ /win32/i);

$BINDIR=$ARGV[0];# bindir is the first arg

my $EXPATH2 = $ENV{'PATH'};
$ENV{'PATH'}.=";".$BINDIR;

open FF,">foo.c";
print FF "int main() { return 0; }\n";
close FF;
$command = "ctags --c-types=cfnp -u -n --fields=+afKmsS --line-directives=yes foo.c";
my $status = SystemP($command);

errorctags() if ($status) ;

unlink( "foo.c" );
$ENV{'PATH'} = $EXPATH2;
exit($status);
