

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/*******************************************************************************
* Copyright (c) 2001-2003 Rational Software Corporation. All rights reserved.  *
*                                                                              *
*                Product: Rational(R) Test RealTime                            *
*                                                                              *
*      Product Component: System Testing Agent                                 *
*                                                                              *
*               Language: C                                                    *
*                                                                              *
*        Product version: 2003.06.00                                           *
*                                                                              *
*                   File: ctxagt.h                                             *
*                                                                              *
* Rational, the Rational logo are registered trademarks of                     *
* Rational Software Corporation.                                               *
*                                                                              *
* The placing of the copyright notices on Rational source code is not          *
* intended to mean that they are published works, but are included in the      *
* event of inadvertent publication. The source code of Rational contains       *
* trade secrets and other valuable confidential information of Rational        *
* Software Corporation. Rational Software Corporation and its licensors        *
* retain ownership to Rational Products in both source and object code         *
* format, and related documentation and all rights therein including           *
* copyrights, patents and trade secrets.                                       *
*                                                                              *
*                                                                              *
* U.S. Government Rights                                                       *
*                                                                              *
* Use, duplication, or disclosure by the U.S. Government is subject to         *
* restrictions set forth in the applicable Rational License Agreement          *
* and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                   *
* 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,         *
* or FAR 52.227-14, as applicable.                                             *
*                                                                              *
* Unless otherwise agreed to in writing, use of Rational products is           *
* governed by the Rational Product License Agreement provided with             *
* the product.                                                                 *
*******************************************************************************/
/******************************************************************************
*
*% Module        CTXAGT
*
*                Identification
*                --------------
*
*% Version       $Revision: 1.8 $
*% Auteur        $Author: build $
*% Date          $Date: 2007/01/16 14:12:50 $
*
*% Description
*    Gestion des contextes de l'agent
*% Fdescription
*
*                Ressources exportees
*                --------------------
* % Exportee, TCPIPinit, T_ENTIER, Initialisation de la librairie
******************************************************************************/

#ifndef CTX_INCLUDED
#define CTX_INCLUDED
/* A DEFINIR DANS LE SOURCE L'UTILISANT
 * #include "cstsyst.h"
 * #include "atwstr.h"
 */

typedef struct ref_context* PT_REF_CONTEXT;

typedef enum {
  ATSAGTD_CTX = 0,   /* MUST BE THE FIRST see ctxagt.c */
  CMDAGTD_CTX,
  PROAGTD_CTX,
  TCPIP_CTX,
  ENVAGTD_CTX,
  DYNFAGT_CTX,
  RDVAGT_CTX,
  TRAAGT_CTX,
  FSAGT_CTX,
  SCUAGT_CTX,
  LAST_CTX
} T_CTX_TYPE;


PT_REF_CONTEXT	CTXinit		PP ((T_ENTIER numberOfExpectedCtx));

T_RETURN	CTXfin		PP ((PT_REF_CONTEXT ctxContainer));

T_RETURN	CTXset		PP ((PT_REF_CONTEXT ctxContainer, 
				     void* userCtx,
				     T_CTX_TYPE ctxType));

PT_REF_CONTEXT	CTXget		PP ((PT_REF_CONTEXT ctxContainer,
				     T_CTX_TYPE ctxType));

#endif /* CTX_INCLUDED */

