

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/*******************************************************************************
* Copyright (c) 2001-2003 Rational Software Corporation. All rights reserved.  *
*                                                                              *
*                Product: Rational(R) Test RealTime                            *
*                                                                              *
*      Product Component: System Testing Agent                                 *
*                                                                              *
*               Language: C                                                    *
*                                                                              *
*        Product version: 2003.06.00                                           *
*                                                                              *
*                   File: dynfagt.h                                            *
*                                                                              *
* Rational, the Rational logo are registered trademarks of                     *
* Rational Software Corporation.                                               *
*                                                                              *
* The placing of the copyright notices on Rational source code is not          *
* intended to mean that they are published works, but are included in the      *
* event of inadvertent publication. The source code of Rational contains       *
* trade secrets and other valuable confidential information of Rational        *
* Software Corporation. Rational Software Corporation and its licensors        *
* retain ownership to Rational Products in both source and object code         *
* format, and related documentation and all rights therein including           *
* copyrights, patents and trade secrets.                                       *
*                                                                              *
*                                                                              *
* U.S. Government Rights                                                       *
*                                                                              *
* Use, duplication, or disclosure by the U.S. Government is subject to         *
* restrictions set forth in the applicable Rational License Agreement          *
* and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                   *
* 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,         *
* or FAR 52.227-14, as applicable.                                             *
*                                                                              *
* Unless otherwise agreed to in writing, use of Rational products is           *
* governed by the Rational Product License Agreement provided with             *
* the product.                                                                 *
*******************************************************************************/
/******************************************************************************
*
*% Module       DYNFAGT
*
*                Identification
*                --------------
*
*% Version       $Revision: 1.7 $
*% Auteur        $Author: build $
*% Date          $Date: 2007/01/16 14:12:50 $
*
*% Description
*    Gestion du suivi dynamique des testeurs (au niveau de l'agent)  

*% Fdescription
*
*                Ressources exportees
*                --------------------
******************************************************************************/

#ifndef DYNFAGT_INCLUDED
#define DYNFAGT_INCLUDED
/* A DEFINIR DANS LE SOURCE L'UTILISANT
 * #include "ctxagt.h" */

T_RETURN	DYNFAinit		PP ((PT_REF_CONTEXT Contexte));
T_RETURN	DYNFAfin		PP ((PT_REF_CONTEXT Contexte));

T_ENTIER	DYNFAport_dynf		PP ((PT_REF_CONTEXT Contexte));
atwstr*		DYNFAtraite_connexions	PP ((PT_REF_CONTEXT Contexte,
					     T_ENTIER nbconnexions, 
					     PT_SOCKET connexions));
atwstr         *DYNFAtraite_suividyn    PP ((PT_REF_CONTEXT Context,
					     T_ENTIER nb_connexions,
					     PT_SOCKET connexions,
					     atwstr ** pbuffer,
					     T_BOOLEAN * fin));
void		DYNFAtermine		PP ((PT_REF_CONTEXT Contexte,
					     PT_CAR nom, 
					     T_BOOLEAN ok)); 

atwstr         *DYNFAdescente_ligne PP ((PT_REF_CONTEXT refContext,
					 T_SOCKET_STREAM nouvelle_socket,
					 PT_CAR msg));

#endif /* DYNFAGT_INCLUDED */
