

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/*******************************************************************************
* Copyright (c) 2001-2003 Rational Software Corporation. All rights reserved.  *
*                                                                              *
*                Product: Rational(R) Test RealTime                            *
*                                                                              *
*      Product Component: System Testing Agent                                 *
*                                                                              *
*               Language: C                                                    *
*                                                                              *
*        Product version: 2003.06.00                                           *
*                                                                              *
*                   File: envagt.h                                             *
*                                                                              *
* Rational, the Rational logo are registered trademarks of                     *
* Rational Software Corporation.                                               *
*                                                                              *
* The placing of the copyright notices on Rational source code is not          *
* intended to mean that they are published works, but are included in the      *
* event of inadvertent publication. The source code of Rational contains       *
* trade secrets and other valuable confidential information of Rational        *
* Software Corporation. Rational Software Corporation and its licensors        *
* retain ownership to Rational Products in both source and object code         *
* format, and related documentation and all rights therein including           *
* copyrights, patents and trade secrets.                                       *
*                                                                              *
*                                                                              *
* U.S. Government Rights                                                       *
*                                                                              *
* Use, duplication, or disclosure by the U.S. Government is subject to         *
* restrictions set forth in the applicable Rational License Agreement          *
* and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                   *
* 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,         *
* or FAR 52.227-14, as applicable.                                             *
*                                                                              *
* Unless otherwise agreed to in writing, use of Rational products is           *
* governed by the Rational Product License Agreement provided with             *
* the product.                                                                 *
*******************************************************************************/
/******************************************************************************
*
*% Module        ENVAGT
*
*                Identification
*                --------------
*
*% Version       $Revision: 1.7 $
*% Auteur        $Author: build $
*% Date          $Date: 2007/01/16 14:12:50 $
*
*% Description
*    Traitement des variables d'environnements.
*% Fdescription
*
*                Ressources exportees
*                --------------------
* % Exportee, TCPIPinit, T_ENTIER, Initialisation de la librairie
******************************************************************************/

#ifndef ENVAGT_INCLUDED
#define ENVAGT_INCLUDED

/* A DEFINIR DANS LE SOURCE L'UTILISANT
 * #incldue "atwstr.h"
 * #include "cstsyst.h"
 * #include "ctxagt.h"
 */

extern T_RETURN		ENVinit		PP ((PT_REF_CONTEXT Contexte));
extern T_RETURN		ENVfin		PP ((PT_REF_CONTEXT Contexte));

extern T_RETURN		ENVputenv	PP ((PT_REF_CONTEXT Contexte,
					     PT_CAR env, 
					     PT_CAR val));
extern T_RETURN		ENVunsetenv	PP ((PT_REF_CONTEXT Contexte,
					     PT_CAR env));
extern atwstr*		ENVgetenv	PP ((PT_REF_CONTEXT Contexte,
					     PT_CAR env));
extern atwstr*		ENVevalue_env	PP ((PT_REF_CONTEXT Contexte,
					     PT_CAR ligne, 
					     T_CAR marqueur));

#endif /* ENVAGT_INCLUDED */
