

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/*******************************************************************************
* Copyright (c) 2001-2003 Rational Software Corporation. All rights reserved.  *
*                                                                              *
*                Product: Rational(R) Test RealTime                            *
*                                                                              *
*      Product Component: System Testing Agent                                 *
*                                                                              *
*               Language: C                                                    *
*                                                                              *
*        Product version: 2003.06.00                                           *
*                                                                              *
*                   File: proagtp.h                                            *
*                                                                              *
* Rational, the Rational logo are registered trademarks of                     *
* Rational Software Corporation.                                               *
*                                                                              *
* The placing of the copyright notices on Rational source code is not          *
* intended to mean that they are published works, but are included in the      *
* event of inadvertent publication. The source code of Rational contains       *
* trade secrets and other valuable confidential information of Rational        *
* Software Corporation. Rational Software Corporation and its licensors        *
* retain ownership to Rational Products in both source and object code         *
* format, and related documentation and all rights therein including           *
* copyrights, patents and trade secrets.                                       *
*                                                                              *
*                                                                              *
* U.S. Government Rights                                                       *
*                                                                              *
* Use, duplication, or disclosure by the U.S. Government is subject to         *
* restrictions set forth in the applicable Rational License Agreement          *
* and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                   *
* 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,         *
* or FAR 52.227-14, as applicable.                                             *
*                                                                              *
* Unless otherwise agreed to in writing, use of Rational products is           *
* governed by the Rational Product License Agreement provided with             *
* the product.                                                                 *
*******************************************************************************/



/* Definition des types permettant de manipuler le tableau de processus */
typedef struct
  {
#ifdef UNIX
    pid_t     identifiant;      /* Identifiant reel du processus */
#endif                          /* UNIX */
#ifdef WIN32
    HANDLE       identifiant;      /* Identifiant reel du processus */
#endif                          /* WIN32 */
#if !defined(UNIX) && !defined(WIN32)
    AGT_PID_T       identifiant;      /* Identifiant reel du processus */
#endif                          /* UNIX */
    T_ETATPROC etat;            /* etat du processus */
    T_ENTIER  etat_sortie;      /* Etat de sortie de processus */
  }
T_TAB_PROCESSUS, *PT_TAB_PROCESSUS;


typedef struct
{

/* Tableaux des processus */
T_ENTIER tab_dernier ;
T_ENTIER taille_tab ;
PT_TAB_PROCESSUS tab_processus ;

/* Les traces ne sont pas retransmises par defaut */
T_BOOLEAN active_trace;

/* Variable du module indiquant si le module est initialise ou pas. Celle-ci 
 * est codee comme une variable booleene C
 */
T_BOOLEAN proagt_not_init;

}
T_PRIVATE_CONTEXTE_PRO, *PT_PRIVATE_CONTEXTE_PRO;
