
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 package: Ada.IO_Exceptions$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 1.13 - Exceptions in Input-Output
--
--------------------------------------------------------------------------
package Ada.IO_Exceptions is

  pragma Pure(IO_Exceptions);

  Status_Error : exception;
  Mode_Error   : exception;
  Name_Error   : exception;
  Use_Error    : exception;
  Device_Error : exception;
  End_Error    : exception;
  Data_Error   : exception;
  Layout_Error : exception;

end Ada.IO_Exceptions;
--
--------------------------------------------------------------------------
