
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 package: System.Address_To_Access_Conversions$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 13.7.2 - The Package System.Address_To_Access_Conversions
--
--------------------------------------------------------------------------
generic

    type Object(<>) is limited private;

package System.Address_To_Access_Conversions is

     pragma Preelaborate(Address_To_Access_Conversions);

     type Object_Pointer is access all Object;
     function To_Pointer(Value : Address) return Object_Pointer;
     function To_Address(Value : Object_Pointer) return Address;

     pragma Convention(Intrinsic, To_Pointer);
     pragma Convention(Intrinsic, To_Address);

end System.Address_To_Access_Conversions;
--
--------------------------------------------------------------------------
