
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 function: Unchecked_Conversion$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 13.9 - Unchecked Type Conversions
-- For Ada83 names compatibility.
--
--------------------------------------------------------------------------
generic

   type Source(<>) is limited private;
   type Target(<>) is limited private;

function Unchecked_Conversion(S : Source) return Target;
pragma Pure(Unchecked_Conversion);
--
--------------------------------------------------------------------------
