
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

-------------------------------------------------------------------------------
-- $Revision: 1.1.2.4 $
-- $Descr: Services for UniTesting TDP Ada$
-- $Id: attol_serv_95_smart.adb,v 1.1.2.4 2008/03/18 11:04:24 build Exp $
-------------------------------------------------------------------------------


--INIT_UNSUPPORTED: comment 1 line below:
with text_io;
with unchecked_conversion;
with system; use system;

with attol_comm;use attol_comm;
package body attol_serv_95 is


  procedure put_mod_image(value : in Attol_big_Mod; ibase : in attol.Attol_Int) is 
    val		: Attol_big_Mod		:= value		;
    base	: Attol_big_Mod := Attol_big_Mod(ibase) ;
    str		: string ( 1 .. Attol_big_Mod'size +2 )	:= (others=>' ')	;
    index	: integer		:= str'last			;
    i		: integer					;
    ilen:integer:=0;
    digit : constant array (0..15) of character :=
      ('0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F');
  begin
    if (base=2)
      then
        str (index) :='B';
	index := index-1;
      else
        if (base=16)
	  then
	    str (index) :='H';
	    index := index-1;
	  end if;
    end if;
    loop
      i := integer'val (val mod base) ;
      str (index) := digit(i) ;
      val := (val-(Attol_big_Mod(i))) / base ;
      exit when val = 0 ;
      index := index - 1 ;
    end loop ;
    if str (index) >='A'
      then
        index:=index-1;
        str (index):='0';
    end if;
    put(str(index..str'last));
--    for k in index .. str'last;
--    loop
--      put(str ( k + 1 ) );
--    end loop ;
end put_mod_image ;


end attol_serv_95;


