
/////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Licensed Materials - Property of IBM
//  Restricted Material of IBM
//  IBM Rational Test RealTime
//  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
//
//  US Governement Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////////////////////////////

// Product version: 7.0.5.1

////////////////////////////////////////////////////////////////////////////////
// $Id: TestRT.java,v 1.20.4.1 2008/03/18 13:31:17 build Exp $
// $Descr: Java TestRT Main Class $
////////////////////////////////////////////////////////////////////////////////


package com.rational.testrealtime;

public class TestRT {

    static {
      // Nothing to do
    }

    public static void lateExit ( ) {
      Custom.waitForThreads ( );
      exit ( );
    }

    public static void exit ( ) {
      if ( Products.should_run_gc ) {
        System.gc ( );
      }
      dump ( );
      if ( exit_listener != null ) {
        exit_listener.onExit ( );
      }
      Buffer.lateExit ( );
    }

    public static void dump ( ) {
      synchronized ( ThreadInfo.threads_table ) {
        if ( dump_1 != null ) {
          dump_1.dump ( );
        }
        if ( dump_2 != null ) {
          dump_2.dump ( );
        }
        Buffer.flush ( );
      }
    }

    public static Dumpable dump_1 = null,
                           dump_2 = null;

    public static ExitListener exit_listener = null;

}

