

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* Product version: 7.0.5.1 */

/***************************************************************************
*
* Command line part.
*
* 
****************************************************************************/
#ifndef _JCMDLINE_H
#define _JCMDLINE_H

typedef struct MethodToDump
{
  char * name_method;/*Name of the method*/
  char * name_class;/*Name of the class associated*/
  bool on_entry;    /*Will the dump be done on entry or exit of the method*/
  bool is_for_dump; /*In the other cases it is for an object observation*/
  bool with_object_stack_observation;/*Will this method be associated with a stack obs*/
  bool only_to_observe;
  bool package_to_observe;
  MethodToDump * next; /*Next of the set*/
} MethodToDump, *MethodToDumpP;

static MethodToDump * DumpSet = (MethodToDump*)0;
#endif
