

/* 
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/* Product version: 7.0.5.1 /


#define JVMPI_NONE 0
#define JVMPI_STD 1
#define JVMPI_USR 2
#ifdef RTRT_TDP_COMPILATION
/* Add any extra includes or code */

#endif /* #ifdef RTRT_TDP_COMPILATION */
#define JVMPI_HEAP JVMPI_STD
#if JVMPI_HEAP==JVMPI_USR
#define JVMPI_SIZE_T int
#ifdef RTRT_TDP_COMPILATION
void *jvmpi_usr_malloc(JVMPI_SIZE_T size)
{
	/* Code here the memory allocation function */
	void *ptr=0;
	return(ptr);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
void jvmpi_usr_free(void *ptr)
{
	/* Code here the free function */

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#endif /* JVMPI_HEAP */
#define JVMPI_IO JVMPI_STD
#if JVMPI_IO==JVMPI_USR
#define JVMPI_FILE_TYPE FILE *
#ifdef RTRT_TDP_COMPILATION
JVMPI_FILE_TYPE jvmpi_usr_open(char *fileName)
{
	/* Code here the open function */
	JVMPI_FILE_TYPE f=(JVMPI_FILE_TYPE)0;
	return(f);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
void *jvmpi_usr_write(JVMPI_FILE_TYPE file,char *buffer,int len)
{
	/* Code here the write function */

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
void *jvmpi_usr_close(JVMPI_FILE_TYPE file)
{
	/* Code here the close function */

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#endif /* JVMPI_IO */
#define JVMPI_ERROR JVMPI_STD
#if JVMPI_ERROR==JVMPI_USR
#ifdef RTRT_TDP_COMPILATION
void *jvmpi_usr_error(char *message)
{
	/* Code here the error-print function */
	printf("%s\n",message);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#endif /* JVMPI_ERROR */
#define JVMPI_STRING JVMPI_STD
#if JVMPI_STRING==JVMPI_USR
#ifdef RTRT_TDP_COMPILATION
int jvmpi_usr_strncmp(const char *s1, const char *s2,JVMPI_SIZE_T n)
{
	/* Code here the strncmp function */
	return(0);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
char *jvmpi_usr_strcmp(const char *s1, const char *s2)
{
	/* Code here the strcmp function */
	return(0);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
int jvmpi_usr_strcpy(char *dest,const char *src)
{
	/* Code here the strcpy function */
	return(0);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
char *jvmpi_usr_strstr(const char *haystack, const char *needle)
{
	/* Code here the strstr function */
	return(0);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
JVMPI_SIZE_T jvmpi_usr_strlen(const char *s)
{
 /* Code here the strlen function */
	return(0);

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#endif /* JVMPI_STRING */
#define JVMPI_DATE_IN_MILLISECOND JVMPI_STD
#if JVMPI_DATE_IN_MILLISECOND==JVMPI_USR
#ifdef RTRT_TDP_COMPILATION
unsigned long jvmpi_usr_getDateInMilliSec(void)
{
	/* Code here the getDate function and return milliseconds */

}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#endif /* JVMPI_DATE_IN_MILLISECOND */
#define JVMPI_SOCKET JVMPI_STD
#if JVMPI_SOCKET==JVMPI_USR
#define JVMPI_SOCKET_TYPE int
#ifdef RTRT_TDP_COMPILATION
JVMPI_SOCKET_ID jvmpi_usr_connect(char *,int port)
{
	/* Code here the connect function */
	JVMPI_SOCKET_ID f;

	return(f);
}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
int jvmpi_usr_recv(JVMPI_SOCKET_ID s,char *buffer,int len)
{
	/* Code here the receive function */
	return(0);
}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#ifdef RTRT_TDP_COMPILATION
int jvmpi_usr_close(JVMPI_SOCKET_ID s)
{
	/* Code here the close function */
	return(0);
}
#endif /* #ifdef RTRT_TDP_COMPILATION */
#endif /* JVMPI_SOCKET */
/* Add any extra code */

