
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 package: Ada.Asynchronous_Task_Control$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 D.11 - Asynchronous Task Control.
--
--------------------------------------------------------------------------

with Ada.Task_Identification;

package Ada.Asynchronous_Task_Control is

  procedure Hold(T : in Ada.Task_Identification.Task_ID);

  procedure Continue(T : in Ada.Task_Identification.Task_ID);

  function Is_Held(T : Ada.Task_Identification.Task_ID)
          return Boolean;

end Ada.Asynchronous_Task_Control;
--
--------------------------------------------------------------------------
