
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 package: Ada.Dynamic_Priorities$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 D.5 - Dynamic Priorities
--
--------------------------------------------------------------------------

with System;
with Ada.Task_Identification; -- See C.7.1

package Ada.Dynamic_Priorities is

   procedure Set_Priority(Priority : in System.Any_Priority;
                          T : in Ada.Task_Identification.Task_ID :=
                                 Ada.Task_Identification.Current_Task);

   function Get_Priority (T : Ada.Task_Identification.Task_ID :=
                              Ada.Task_Identification.Current_Task)
                                               return System.Any_Priority;

end Ada.Dynamic_Priorities;
--
--------------------------------------------------------------------------
