
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 package: Ada.Numerics$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 A.5 - The Numerics Packages
--
--------------------------------------------------------------------------
package Ada.Numerics is

   pragma Pure(Numerics);

   Argument_Error : exception;

   Pi : constant :=
           3.14159_26535_89793_23846_26433_83279_50288_41971_69399_37511;

   e  : constant :=
           2.71828_18284_59045_23536_02874_71352_66249_77572_47093_69996;

end Ada.Numerics;
--
--------------------------------------------------------------------------
