
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------
-- $Revision: 1.6.4.1 $
-- $Descr: Ada95 function: Unchecked_Deallocation$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 13.11.2 - Unchecked Storage Deallocation
-- For Ada83 names compatibility .
--
--------------------------------------------------------------------------
generic

   type Object(<>) is limited private;
   type Name   is access  Object;

procedure Unchecked_Deallocation(X : in out Name);
pragma Preelaborate(Unchecked_Deallocation);
--
--------------------------------------------------------------------------
