
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

-------------------------------------------------------------------------------
-- $Revision: 1.8.2.1 $
-- $Descr: Services for UniTesting TDP Ada$
-- $Id: attol_comm_dump.adb,v 1.8.2.1 2008/03/18 11:04:24 build Exp $
-------------------------------------------------------------------------------




with unchecked_conversion;
with system; use system;
with attol_serv; use attol_serv;
package body attol_comm is

--  subtype T_STRING    is STRING (1 .. 12);
  subtype intervale is integer range 1 .. 3000;

  local_str		: string(intervale)				;
  local_posit		: intervale		:= intervale'first	;


  procedure put(c:character)is
  begin
    local_str(local_posit):=c;
    local_posit:=local_posit+1;
  end put;

  procedure put(s:string) is
  begin
    local_str(local_posit..s'last-s'first+local_posit):=s;
    local_posit:=s'last-s'first+local_posit+1;
  end put;
  procedure put_line(fic:in out priv_file) is
  begin
    if local_posit=1
      then
        priv_writeln(fic,"");
      else
        priv_writeln(fic,local_str(1..local_posit-1));
        local_posit:=1;
      end if;
  end put_line;


  procedure put_dec_image ( VALUE : longest_integer ) is   -- Decimal image of longest_integer.
  i,val:longest_integer;

  begin
    val:=value;
    if val < 0
    then
    put('{');
    while ((val/= -1) and then (val /=0))
      LOOP
        i:= val mod 16;
      if i in 0..9
        then
	  put(character'val(character'pos('0')+i));
	else
	  put(character'val((character'pos('A')-10)+i));
      end if;
	val :=((val +(16-i))/16)-1;
      end loop;
    else
    put('(');
    while(val/=0)
      LOOP
        i:= val mod 16;
      if i in 0..9
        then
	  put(character'val(character'pos('0')+i));
	else
	  put(character'val((character'pos('A')-10)+i));
      end if;
	val :=val /16;
      end loop;
    end if ;
    put('}');
  end put_dec_image ;

end attol_comm;

