
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- Product version: 7.0.5.1

--------------------------------------------------------------------------------
-- $Revision: 1.8.2.1 $ 
-- $Descr: Link between UniTesting and Coverage TDP Ada$
-- $Id: attol_link.adb,v 1.8.2.1 2008/03/18 11:04:24 build Exp $
--------------------------------------------------------------------------------

PACKAGE BODY ATTOL_LINK IS

  -----------------------------------------------------------------------
  -- REGISTER_SERVICE
  -- This procedure Register a new service with it number and name
  --
  -----------------------------------------------------------------------
  PROCEDURE register_service(  
		s_number : IN atl_int ; 
		s_name   : IN STRING ) IS
  BEGIN
     null;
  END register_service ;
 

  -----------------------------------------------------------------------
  -- REGISTER_TEST
  -- This procedure Register a new test with :
  --
  -----------------------------------------------------------------------
  PROCEDURE register_test(
		t_number : IN atl_int ; 
		t_name   : IN STRING ) IS
  BEGIN
     null;
  END register_test ;

  -----------------------------------------------------------------------
  -- OUT_COV
  -- This procedure Request a dump of AttolCov. traces
  --
  -----------------------------------------------------------------------
  PROCEDURE out_cov( file : in out private_io.priv_file ) IS
  BEGIN
     null;
  END out_cov ;

  -----------------------------------------------------------------------
  -- UNREGISTER
  -- This procedure remove all registered service/test
  --
  -----------------------------------------------------------------------
  PROCEDURE unregister IS
  BEGIN
     null;
  END unregister ;

-------------------------------------------------------------------------
BEGIN
   -- Unset ATU / ATC mode 
   attol_cov_present := FALSE ;
END attol_link ;
--
-------------------------------------------------------------------------

