
/////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Licensed Materials - Property of IBM
//  Restricted Material of IBM
//  IBM Rational Test RealTime
//  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
//
//  US Governement Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////////////////////////////

// Product version: 7.0.5.1

/////////////////////////////////////////////////////////////////////// 
//JUnit is a regression testing framework written by Erich           // 
//Gamma and Kent Beck. It is used by the developer who               // 
//implements unit tests in Java.                                     // 
//JUnit is Open Source http://www.opensource.org/ Software,          // 
//released under the IBM's Common Public License Version 0.5         // 
//http://oss.software.ibm.com/developerworks/oss/license-cpl.htm     // 
//l and hosted on SourceForge http://sourceforge.net/projects/junit/.// 
/////////////////////////////////////////////////////////////////////// 
package junit.framework;

import junit.framework.Test;
public class Check {

  protected Test test;
  protected String message;
  protected boolean result;

  public Check() {
  }

  public Check(Test _test,String _message,boolean _result)
  {
    if (_message != null)
    {
      message = _message;
    }
    else
    {
     message = new String("null");
    }
    test = _test;
    result = _result;
  }

  public void setTest(Test _test) { test = _test;}
  public Test checkedTest() { return test;}
  public String checkdone() { return message;}
  boolean checkresult()  { return result;}

}
